---
wsId: GlobalTradeATF
title: Global TradeATF Online Trading | Forex and Stocks
altTitle: 
authors:
- danny
users: 50000
appId: com.mobiletrade.fms.globaltradeatf
appCountry: ag
released: 2020-06-10
updated: 2021-11-22
version: 1.5.78-mobiletrade.fms.globaltradeatf
stars: 2.9
ratings: 389
reviews: 315
size: 20M
website: https://global.tradeatf.com/
repository: 
issue: 
icon: com.mobiletrade.fms.globaltradeatf.png
bugbounty: 
meta: ok
verdict: nosendreceive
date: 2021-10-13
signer: 
reviewArchive: 
twitter: TradeATF
social:
- https://www.linkedin.com/company/globaltradeatf
- https://www.facebook.com/TradeATF
redirect_from: 

---

## App Description

It's worth noting that this app has a striking resemblance with: 

{% include walletLink.html wallet='android/com.tmarkets' verdict='true' %} 

Like T1Markets, Global Trade ATF is affiliated with MetaTrader4:

> Seamless access to markets with one of the popular brokers:
Our trading app on the base of MetaTrader 4 makes Forex trading accessible and intuitive. You can use Forex signals to boost your day trading or other strategies. Or you can explore other markets and find a wide choice of derivatives on underlying assets they offer.

### Critical Google Play Reviews

As of October 11. 2021, its total reviews is 2.8 stars, with 379 total reviews. Here are a few of the most recent critical reviews:

> [Prem Jagdev](https://play.google.com/store/apps/details?id=com.mobiletrade.fms.globaltradeatf&reviewId=gp%3AAOqpTOGNfQAYr12tLKr4a81kKLoOj8g4HSHD_U_4hThpc8pPjgxATiQ5XQgdl7eO5zFtB2eSrKMv1L2Vajv-knA)<br>
  ★☆☆☆☆ October 7, 2021 <br>
       Once again this application is being deliberately choked at critical times' : it blanks out when opening a trade and blanks out when closing a trade. This is tantamount to manipulation and must be reported to the regularity authority

> [Thato Mmakola](https://play.google.com/store/apps/details?id=com.mobiletrade.fms.globaltradeatf&reviewId=gp%3AAOqpTOEb89Az9QC9KP3Wz3nMcQIFA0iCv7MmnDY1I968tF11UlOklkuVnHgqDgl7k3vKkJkqBIM3jAgEsg-hy1s)<br>
  ★☆☆☆☆ February 26, 2021 <br>
       Bad Experience!!! Account managers persistant with encouraging a deposit, withdrawal never mentioned although it's pending. Great Loss, different managers, somethings don't add up. Indirect scam through friendliness!       

## The Site

[**The Terms and Conditions**](https://global.tradeatf.com/en/terms)

The section on [Termination of accounts](https://global.tradeatf.com/en/terms#panel10a) details:

> Under such circumstances, other than in the case of abuse or manipulation of the Trading Platform, TradeATF may at its sole discretion (with or without notice) close out your open financial betting contracts at prices it considers fair and reasonable at such a time and no claims may be entertained against TradeATF in connection thereto.

**Crypto Trading is Mostly Facilitated Through CFDs**

> CFDs on Cryptocurrencies<br><br>
Power up your portfolio with CFDs on 30+ most traded cryptocurrencies. 24/7 pulsing market with one of the most volatile backgrounds – your perfect destination for risk, excitement, and bold decisions.

## Verdict

CFD Trading platforms **cannot send or receive bitcoins.** Careful scrutiny must be made pertaining to the site due to its striking resemblance to another service. The critical reviews also warrant a more circumspect approach to this app/service.

